EEDT Time Now
EEDT is the abbreviation of Eastern European Daylight Time. Time zone offset of EEDT is UTC+03. Eastern European Daylight Time is 3 hours ahead from the UTC universal time. EEDT current date is 5th Monday October 2026. Current time in EEDT (EEDT).
EEDT Time
15:22:21
5 October 2026 Monday
EEDT is the abbreviation of Eastern European Daylight Time, and it is exactly the same as EEST time standard. Eastern European Daylight Time is 3 hours ahead of the UTC universal time, and as it becomes apparent from the name, this time standard is used in Eastern Europe and Eastern Africa as summer daylight saving time standard. It is observed in Sofia, Bucharest, Tallinn, Istanbul, Athens, and other large cities.
What time is it in Eastern European Daylight Time now? It is 15:22:21 right now.
Eastern European Daylight Time Date and Time Now in Various Formats
| Date Time Format | EEDT Date Time Now |
|---|---|
| UTC | 2026-10-05T15:22:21Z |
| ISO-8601 | 2026-10-05T15:22:21+0000 |
| RFC 2822 | Mon, 05 Oct 2026 15:22:21 +0000 |
| RFC 850 | Monday, 05-Oct-26 15:22:21 UTC |
| RFC 1036 | Mon, 05 Oct 26 15:22:21 +0000 |
| RFC 1123 | Mon, 05 Oct 2026 15:22:21 +0000 |
| RFC 822 | Mon, 05 Oct 26 15:22:21 +0000 |
| RFC 3339 | 2026-10-05T15:22:21+00:00 |
| ATOM | 2026-10-05T15:22:21+00:00 |
| COOKIE | Monday, 05-Oct-2026 15:22:21 UTC |
| RSS | Mon, 05 Oct 2026 15:22:21 +0000 |
| W3C | 2026-10-05T15:22:21+00:00 |
| Unix Epoch | 1791213741 |
| YYYY-DD-MM HH:MM:SS | 2026-05-10 15:22:21 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-05-10 03:22:21 PM |
| DD-MM-YYYY HH:MM:SS | 05-10-2026 15:22:21 |
| MM-DD-YYYY HH:MM:SS | 10-05-2026 15:22:21 |